View Issue Details

IDProjectCategoryView StatusLast Update
15902Bug reports[All Projects] Survey editingpublic2020-03-27 15:13
Reportertpartner Assigned Toollehar  
PriorityhighSeveritymajor 
Status confirmedResolutionfixed 
Product Version4.1.7 
Target Version4.0.xFixed in Version 
Summary15902: Cannot add quota answer
Description

When trying to add a quota answer, I get a 500 server error - Table "lime_answers" does not have a column named "language".

See screen-cast - https://screencast-o-matic.com/watch/cYnrIjwGR0

Sample survey attached.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.6
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

tpartner

tpartner

2020-02-21 14:16

developer  

limesurvey_survey_644434.lss (29,793 bytes)
jelo

jelo

2020-03-06 09:58

partner   ~56348

Last edited: 2020-03-06 09:58

View 2 revisions

That bug is reproducible in LS 4.1.7 (demo.limesurvey.org)

cdorin

cdorin

2020-03-19 15:06

manager   ~56668

Works only for Gender, Language, and Yes/No atm.

Array 5 point has this error: 500: Internal Server Error
Property "Question.question" is not defined.

The other question types have the error described above by tpartner.

ollehar

ollehar

2020-03-27 11:00

administrator   ~56804

Thank you so much for your contribution!

ollehar

ollehar

2020-03-27 15:13

administrator  

limesurvey_survey_644434(1).lss (67,265 bytes)

Issue History

Date Modified Username Field Change
2020-02-21 14:16 tpartner New Issue
2020-02-21 14:16 tpartner Status new => assigned
2020-02-21 14:16 tpartner Assigned To => cdorin
2020-02-21 14:16 tpartner File Added: limesurvey_survey_644434.lss
2020-02-21 14:34 cdorin Assigned To cdorin =>
2020-02-21 14:34 cdorin Priority none => high
2020-02-21 14:34 cdorin Status assigned => confirmed
2020-03-06 09:58 jelo Note Added: 56348
2020-03-06 09:58 jelo Note Edited: 56348 View Revisions
2020-03-06 09:58 jelo Product Version 4.1.6 => 4.1.7
2020-03-19 15:06 cdorin Note Added: 56668
2020-03-26 12:21 ollehar Assigned To => ollehar
2020-03-26 12:21 ollehar Status confirmed => assigned
2020-03-27 11:00 ollehar Assigned To ollehar =>
2020-03-27 11:00 ollehar Status assigned => resolved
2020-03-27 11:00 ollehar Resolution open => fixed
2020-03-27 11:00 ollehar Note Added: 56804
2020-03-27 11:06 ollehar Assigned To => ollehar
2020-03-27 11:06 ollehar Status resolved => confirmed
2020-03-27 15:13 ollehar File Added: limesurvey_survey_644434(1).lss